package com.miaxis.userInfo.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.userInfo.domain.UserVip;
import com.miaxis.userInfo.dto.UserVipDTO;
import com.miaxis.userInfo.mapper.UserVipMapper;
import com.miaxis.userInfo.service.IUserVipService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 会员信息Service业务层处理
 *
 * @author miaxis
 * @date 2022-06-02
 */
@Service
public class UserVipServiceImpl extends ServiceImpl<UserVipMapper, UserVip> implements IUserVipService {
    @Autowired
    private UserVipMapper userVipMapper;

    /**
     * 查询会员信息列表
     *
     * @param userVip 会员信息
     * @return 会员信息
     */
    @Override
    public List<UserVip> selectUserVipList(UserVip userVip){
        return userVipMapper.selectUserVipList(userVip);
    }

    @Override
    public UserVip getUserVipByUserId(Long userId) {
        return userVipMapper.getUserVipByUserId(userId);
    }

    @Override
    public int removeByUserId(Long userId) {
        return userVipMapper.removeByUserId(userId);
    }

}
